Skip to navigation

Members Set Admin Permissions

View as Markdown

Updates a team member’s permissions.

Permission : Team member management.

Required scope: members.write

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
new_roleobjectRequired
The new role of the member.
Variant:
team.AdminTier.team_adminobjectRequired

User is an administrator of the team - has all permissions.

userobjectRequired
Identity of user whose role will be set.
Variant:
team.UserSelectorArg.team_member_idobjectRequired

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
roleobject
The role after the change.
Variant:
team.AdminTier.team_adminobject

User is an administrator of the team - has all permissions.

team_member_idstring
The member ID of the user to which the change was applied.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error